org.apache.tomcat.buildutil.translate

## Class BackportTranslations

- java.lang.Object
- - org.apache.tomcat.buildutil.translate.BackportBase
  - - org.apache.tomcat.buildutil.translate.BackportTranslations

-     public class BackportTranslations
      extends BackportBase

  Generates a set of translated property files to back-port updates to a previous version. If the source and target use the same value for the English key then any translated value for that key is copied from the source to the target.

- - ### Field Summary

    - ### Fields inherited from class org.apache.tomcat.buildutil.translate.BackportBase

      `sourceEnglish, sourceTranslations, storageDir, targetEnglish, targetRoot, targetTranslations`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `BackportTranslations(String[] args)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `execute()`
    `static void` | `main(String... args)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BackportTranslations

          protected BackportTranslations(String[] args)
                                  throws IOException

      Throws:
        `IOException`

  - ### Method Detail

    - #### main

          public static void main(String... args)
                           throws IOException

      Throws:
        `IOException`

    - #### execute

          protected void execute()
                          throws IOException

      Specified by:
        `execute` in class `BackportBase`
      Throws:
        `IOException`

Copyright © 2000-2022 Apache Software Foundation. All Rights Reserved.